Subject: bug#61667: 29.0.60; Failure to redisplay

From: Po Lu <[email-masked]>
Date: Fri, 24 Feb 2023 21:29:10 +0800

Gregory Heytings <[email-masked]> writes:

> Aha.  This is rather surprising, but it also means that GNOME has
> perhaps nothing to do with the bug.  As I said in my other post, can
> you possibly try to reproduce the bug with your config with a
> non-GNOME window manager? (I don't know what distro you use, but there
> are a number of very lightweight window managers that you can easily
> install and remove.)

This very likely points to GNOME being the source of the bug.  The title
may somehow be making Mutter refuse to update the screen after it
receives damage notifications from DBESwapBuffers.

I asked Dimitry to place an xclock window behind Emacs which changes
every second.  If that fixes the problem, then it is certainly a bug in
GNOME.